RRDLASTUPDATE(1)

NAME
rrdlastupdate - Return the most recent update to an RRD

SYNOPSIS
rrdtool lastupdate filename [--daemon address]

DESCRIPTION
The lastupdate function returns the UNIX timestamp and the value stored for each datum in the most recent update of an RRD.

filename
    The name of the RRD that contains the data.

--daemon address
    Address of the rrdcached daemon. If specified, a "flush" command is sent to the server before reading the RRD files. This allows rrdtool to return fresh data even if the daemon is configured to cache values for a long time. For a list of accepted formats, see the -l option in the rrdcached manual.

     rrdtool lastupdate --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

ENVIRONMENT VARIABLES
The following environment variables may be used to change the behavior of "rrdtool lastupdate":

RRDCACHED_ADDRESS
    If this environment variable is set it will have the same effect as specifying the "--daemon" option on the command line. If both are present, the command line argument takes precedence.

AUTHOR
Andy Riebs <andy.riebs@hp.com>